Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.neoworks.jukex.tracksource.filter
Class AttributeEqualityTrackFilter

    java.lang.Object
      |
      +--com.neoworks.jukex.tracksource.filter.AttributeEqualityTrackFilter

All Implemented Interfaces:
  AttributeTrackFilter, java.io.Serializable, TrackFilter

public class AttributeEqualityTrackFilter
extends java.lang.Object
implements AttributeTrackFilter

Filter based on equality (LIKE) matching of track Attributes

Author:
  Nigel Atkinson nigel@neoworks.com
See Also:
  Serialized Form

Constructor Summary
`AttributeEqualityTrackFilter(Attribute a, AttributeValue v)` Public constructor

Method Summary
`Attribute` | `getAttribute()` Get the Attribute used for matching
`java.lang.String` | `getComparatorDescription()` Get a description of the comparator being used in this filter
`AttributeValue` | `getValue()` Get the AttributeValue to match against
`boolean` | `match(Track t)` Check whether a Track matches this filter
`java.lang.String` | `toString()` Get a String representation of this filter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeEqualityTrackFilter

    public AttributeEqualityTrackFilter(Attribute a,
                                        AttributeValue v)

  Public constructor

Method Detail

### match

    public boolean match(Track t)

  Check whether a Track matches this filter

  Specified by:
    `match` in interface `TrackFilter`
  Parameters:
    `t` - The Track to check for a match
  Returns:
    Whether the Track matches

### getAttribute

    public Attribute getAttribute()

  Get the Attribute used for matching

  Specified by:
    `getAttribute` in interface `AttributeTrackFilter`
  Returns:
    The Attribute

### getValue

    public AttributeValue getValue()

  Get the AttributeValue to match against

  Specified by:
    `getValue` in interface `AttributeTrackFilter`
  Returns:
    The AttributeValue

### getComparatorDescription

    public java.lang.String getComparatorDescription()

  Get a description of the comparator being used in this filter

  Specified by:
    `getComparatorDescription` in interface `TrackFilter`
  Returns:
    A String description

### toString

    public java.lang.String toString()

  Get a String representation of this filter

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD